### Hierarchy

- unknown
  - AutoConfirmSettings

## Index

### Constructors

- constructor

### Methods

- addServiceAddresses
- clearServiceAddressesList
- getCurrencyCode
- getEnabled
- getRequiredConfirmations
- getServiceAddressesList
- getTradeLimit
- serializeBinary
- setCurrencyCode
- setEnabled
- setRequiredConfirmations
- setServiceAddressesList
- setTradeLimit
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AutoConfirmSettings(): AutoConfirmSettings

- Inherited from jspb.Message.constructor

  #### Returns AutoConfirmSettings

## Methods

### addServiceAddresses

- addServiceAddresses(value: string, index?: number): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7706

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns AutoConfirmSettings

### clearServiceAddressesList

- clearServiceAddressesList(): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7705

  #### Returns AutoConfirmSettings

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7708

  #### Returns string

### getEnabled

- getEnabled(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7694

  #### Returns boolean

### getRequiredConfirmations

- getRequiredConfirmations(): number

- - Defined in src/protobuf/pb_pb.d.ts:7697

  #### Returns number

### getServiceAddressesList

- getServiceAddressesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7703

  #### Returns string[]

### getTradeLimit

- getTradeLimit(): number

- - Defined in src/protobuf/pb_pb.d.ts:7700

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7711

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7709

  #### Parameters

  - ##### value: string

  #### Returns AutoConfirmSettings

### setEnabled

- setEnabled(value: boolean): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7695

  #### Parameters

  - ##### value: boolean

  #### Returns AutoConfirmSettings

### setRequiredConfirmations

- setRequiredConfirmations(value: number): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7698

  #### Parameters

  - ##### value: number

  #### Returns AutoConfirmSettings

### setServiceAddressesList

- setServiceAddressesList(value: string[]): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7704

  #### Parameters

  - ##### value: string[]

  #### Returns AutoConfirmSettings

### setTradeLimit

- setTradeLimit(value: number): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7701

  #### Parameters

  - ##### value: number

  #### Returns AutoConfirmSettings

### toObject

- toObject(includeInstance?: boolean): AutoConfirmSettings . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7712

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AutoConfirmSettings . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7715

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AutoConfirmSettings

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AutoConfirmSettings, reader: BinaryReader): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7716

  #### Parameters

  - ##### message: AutoConfirmSettings

  - ##### reader: BinaryReader

  #### Returns AutoConfirmSettings

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AutoConfirmSettings, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7714

  #### Parameters

  - ##### message: AutoConfirmSettings

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AutoConfirmSettings ): AutoConfirmSettings . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7713

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AutoConfirmSettings

  #### Returns AutoConfirmSettings . AsObject

Generated using TypeDoc